View Issue Details

IDProjectCategoryView StatusLast Update
0000501Cinelerra-GG[All Projects] Bugpublic2020-09-06 17:50
ReporterRafaMar Assigned ToPhyllisSmith  
PriorityhighSeveritycrashReproducibilityalways
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000501: Deleting keyframes on the left causes the ones on the right to shift
DescriptionThis seems like a very serious mistake to me. If I have an animation made and I decide to delete a keyframe, everyone to the right of it will shift destroying the animation. Before this was perfect, now it is not going well. This failure can ruin many hours of work.
Tagsbug

Activities

PhyllisSmith

PhyllisSmith

2020-09-06 17:50

manager   ~0004001

@RafaMar
Thank you for testing. It might not be perfect yet as Andrea found a quirk that neither GG or I can reproduce.
It is a lot of work to create a release BUT that is why we always keep the previous release on the website under "old tars and pkgs" in case there is a problem so that users can revert to the previous month's release to continue working.
RafaMar

RafaMar

2020-09-05 18:59

reporter   ~0003995

Hi @PhyllisSmith, thank you for trusting me.
I'm so sorry for the delay to be able to test it.
I have tried it and now it is perfect.
Being the first time something like this has happened, it could also be the first time that an update has been released to correct a bug present in the last release.
Or would it be a lot of work for you?
In case you decide to make a new release I can pass you the translated .po file to include it.
Thank you.
PhyllisSmith

PhyllisSmith

2020-09-05 02:43

manager   ~0003993

@RafaMar
Only if you have time, could you test to make sure that the problem we fixed is the same one you encountered?
   https://cinelerra-gg.org/download/testing/cinelerra-5.1-mint19-x86_64-static.txz
Thanks as always for your help.
RafaMar

RafaMar

2020-09-03 22:51

reporter   ~0003981

Thank you Phyllis, if I can help you, count on me.
PhyllisSmith

PhyllisSmith

2020-09-03 22:43

manager   ~0003980

@RafaMar
I believe it is the same error but that is not definitive. Andrew had verified the workaround of "turn on/off "keyframes follow edits" when this error could surface."

We now have a fix for this and Andrew re-tested but found another problem that we are checking now to confirm it is a fix. This is the first time that we have made a release with a known bug and I really blame myself for this due to my lack of testing/availability these past 3 weeks. We will create a Mint 19.3 static tar once we verify.

The releasenotes.pdf is on the website at:
https://cinelerra-gg.org/download/releasenotes.pdf
RafaMar

RafaMar

2020-09-03 22:42

reporter   ~0003979

@PhyllisSmith The problem is not that the wrong keyframes are deleted, the problem is that when the selected ones are deleted, those on the right shift to the left.
RafaMar

RafaMar

2020-09-03 22:22

reporter   ~0003978

Whoops! sorry. I didn't know it was already reported. Where are these notes so that I can refer to the workaround?
I take this opportunity to remind you to pass me the cin.po file to translate the new lines into Spanish.
regards.
PhyllisSmith

PhyllisSmith

2020-09-03 22:08

manager   ~0003977

@RafaMar
I believe this is the "known bug" as mentioned in the releasenotes.pdf that has a workaround until next month's build. Unfortunately it was noted too late in the cycle to jam in a fix -- concerned about trading a known bug for an unknown one.

Issue History

Date Modified Username Field Change
2020-09-03 21:28 RafaMar New Issue
2020-09-03 21:28 RafaMar Tag Attached: bug
2020-09-03 22:08 PhyllisSmith Assigned To => PhyllisSmith
2020-09-03 22:08 PhyllisSmith Status new => acknowledged
2020-09-03 22:08 PhyllisSmith Note Added: 0003977
2020-09-03 22:22 RafaMar Note Added: 0003978
2020-09-03 22:42 RafaMar Note Added: 0003979
2020-09-03 22:43 PhyllisSmith Note Added: 0003980
2020-09-03 22:51 RafaMar Note Added: 0003981
2020-09-05 02:43 PhyllisSmith Note Added: 0003993
2020-09-05 18:59 RafaMar Note Added: 0003995
2020-09-06 17:50 PhyllisSmith Note Added: 0004001